<div class="row">
    <div class="col-sm-8 col-sm-offset-2">
        <h2> Créer un compte </h2>
        <form [formGroup]="signUpForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="emailInput">Email</label>
                <input type="text" id="emailInput" class="form-control" formControlName="email">
            </div>
            <div class="form-group">
                <label for="passwordInput">Mot de passe </label>
                <input type="text" id="passwordInput" class="form-control" formControlName="password">
            </div>
            <button class="btn btn-primary" type="submit" [disabled]="signUpForm.invalid"> Creér mon compte</button>
        </form>
        <p class="text-danger" > {{errorMessage}}</p>
    </div>
</div>
